Article number
000004464
Affected Versions
All
Source Hypervisor
All
Target Hypervisor
All

Error: “You Are Trying To Upgrade To An Incompatible Product Type” During ZVR Upgrade

Viewed 328 times

Summary

This article describes a scenario in which an upgrade attempt fails when using the wrong hypervisor installer.

Root Cause

The newly downloaded installer is not for the same hypervisor as the one in use.

For version 7.0 and earlier, there is also a separate installer with VSS for each hypervisor.
Check out this KB for more details if mixing VSS versions during upgrades:
Error: "You Are Trying To Upgrade To An Incompatible Product Type" When Upgrading to Later Versions of 6.5/7.0

 

Symptoms

During the upgrade process, the following error message appears:
"You Are Trying To Upgrade To An Incompatible Product Type".

Solution

To resolve this issue, you'll need to download the correct hypervisor installer.
If you're not sure which hypervisor the ZVM installed is compatible with, log into the ZVM VM, open regedit.exe and check the following registry path:
Regedit > HKEY_LOCAL_MACHINE > SOFTWARE > Zerto > Zerto Virtual Replication > PlatformType

You should now be able to see the hypervisor type:


Once you have that information, head over to the myZerto website and download the correct hypervisor version for your environment.